.\"	$NetBSD: getlabelsector.3,v 1.4 2003/04/16 13:35:14 wiz Exp $
.\"
.\"
.\" Copyright 2002 Wasabi Systems, Inc.
.\" All rights reserved.
.\"
.\" Written by Steve C. Woodford for Wasabi Systems, Inc.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed for the NetBSD Project by
.\"      Wasabi Systems, Inc.
.\" 4. The name of Wasabi Systems, Inc. may not be used to endorse
.\"    or promote products derived from this software without specific prior
.\"    written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY WASABI SYSTEMS, INC. ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL WASABI SYSTEMS, INC
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 11, 2002
.Dt GETLABELSECTOR 3
.Os
.Sh NAME
.Nm getlabelsector ,
.Nm getlabeloffset
.Nd get the sector number and offset of the disklabel
.Sh LIBRARY
.Lb libutil
.Sh SYNOPSIS
.In util.h
.Ft daddr_t
.Fn getlabelsector void
.Ft off_t
.Fn getlabeloffset void
.Sh DESCRIPTION
The
.Fn getlabelsector
and
.Fn getlabeloffset
functions return values which describe the exact on-disk location of the
.Xr disklabel 5
on the current system, or \-1 on error.
These functions supersede the hardcoded
.Dv LABELSECTOR
and
.Dv LABELOFFSET
definitions previously used to derive the location of the
.Xr disklabel 5 .
.Sh SEE ALSO
.Xr sysctl 3 ,
.Xr disklabel 5
.Sh HISTORY
The
.Fn getlabelsector
and
.Fn getlabeloffset
functions appeared in
.Nx 2.0 .
